Package com.sun.jna.platform.win32

## Class IPHlpAPI.MIB_UDP6ROW_OWNER_PID

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.IPHlpAPI.MIB_UDP6ROW_OWNER_PID

Enclosing interface:
  IPHlpAPI

    @FieldOrder({"ucLocalAddr","dwLocalScopeId","dwLocalPort","dwOwningPid"})
    public static class IPHlpAPI.MIB_UDP6ROW_OWNER_PID
    extends Structure

Contains information that describes an IPv6 UDP connection.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dwLocalPort`
`int` `dwLocalScopeId`
`int` `dwOwningPid`
`byte[]` `ucLocalAddr`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`MIB_UDP6ROW_OWNER_PID()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ucLocalAddr

    public byte[] ucLocalAddr

#### dwLocalScopeId

    public int dwLocalScopeId

#### dwLocalPort

    public int dwLocalPort

#### dwOwningPid

    public int dwOwningPid

### Constructor Detail

#### MIB_UDP6ROW_OWNER_PID

    public MIB_UDP6ROW_OWNER_PID()